apiVersion: kubevirt.io/v1
kind: VirtualMachine
metadata:
  annotations:
    kubemacpool.io/transaction-timestamp: "2024-05-27T09:16:48.635770597Z"
    kubevirt.io/latest-observed-api-version: v1
    kubevirt.io/storage-observed-api-version: v1
    vm.kubevirt.io/validations: |
      [
        {
          "name": "minimal-required-memory",
          "path": "jsonpath::.spec.domain.memory.guest",
          "rule": "integer",
          "message": "This VM requires more memory.",
          "min": 1610612736
        }
      ]
  creationTimestamp: "2024-05-27T09:05:22Z"
  finalizers:
  - kubevirt.io/virtualMachineControllerFinalize
  generation: 2
  labels:
    app: rhel9-uefi
    kubevirt.io/dynamic-credentials-support: "true"
    vm.kubevirt.io/template: rhel9-server-small
    vm.kubevirt.io/template.namespace: openshift
    vm.kubevirt.io/template.revision: "1"
    vm.kubevirt.io/template.version: v0.28.0
  name: rhel9-uefi
  namespace: default
  resourceVersion: "392891"
  uid: 990330a0-c57e-494c-beb1-137d7994c6cd
spec:
  dataVolumeTemplates:
  - apiVersion: cdi.kubevirt.io/v1beta1
    kind: DataVolume
    metadata:
      creationTimestamp: null
      name: rhel9-uefi
    spec:
      source:
        http:
          url: http://dell-per740-36.lab.eng.pek2.redhat.com/libvirt-CI-resources/RHEL-9.4-x86_64-latest-ovmf.qcow2
      storage:
        resources:
          requests:
            storage: 12Gi
  running: true
  template:
    metadata:
      annotations:
        vm.kubevirt.io/flavor: small
        vm.kubevirt.io/os: rhel9
        vm.kubevirt.io/workload: server
      creationTimestamp: null
      labels:
        app.kubernetes.io/name: headless
        kubevirt.io/domain: rhel9-uefi
        kubevirt.io/size: small
    spec:
      architecture: amd64
      domain:
        cpu:
          cores: 1
          sockets: 1
          threads: 1
        devices:
          disks:
          - disk:
              bus: virtio
            name: rootdisk
          - disk:
              bus: virtio
            name: cloudinitdisk
          gpus:
          - deviceName: nvidia.com/GRID_T4-4Q
            name: gpus-aquamarine-chinchilla-19
          - deviceName: nvidia.com/GRID_T4-4Q
            name: gpus-jade-hamster-74
          - deviceName: nvidia.com/GRID_T4-4Q
            name: gpus-yellow-guanaco-60
          - deviceName: nvidia.com/GRID_T4-4Q
            name: gpus-white-stork-27
          interfaces:
          - macAddress: "02:30:20:00:00:02"
            masquerade: {}
            model: virtio
            name: default
          networkInterfaceMultiqueue: true
          rng: {}
        features:
          acpi: {}
          smm:
            enabled: true
        firmware:
          bootloader:
            efi: {}
        machine:
          type: pc-q35-rhel9.4.0
        memory:
          guest: 2Gi
        resources: {}
      networks:
      - name: default
        pod: {}
      terminationGracePeriodSeconds: 180
      volumes:
      - dataVolume:
          name: rhel9-uefi
        name: rootdisk
      - cloudInitNoCloud:
          userData: |-
            #cloud-config
            user: cloud-user
            password: dgjg-trx8-fxmq
            chpasswd: { expire: False }
        name: cloudinitdisk
status:
  conditions:
  - lastProbeTime: "2024-05-27T09:53:40Z"
    lastTransitionTime: "2024-05-27T09:53:40Z"
    message: Guest VM is not reported as running
    reason: GuestNotRunning
    status: "False"
    type: Ready
  - lastProbeTime: null
    lastTransitionTime: null
    status: "True"
    type: Initialized
  - lastProbeTime: null
    lastTransitionTime: null
    message: All of the VMI's DVs are bound and not running
    reason: AllDVsReady
    status: "True"
    type: DataVolumesReady
  - lastProbeTime: null
    lastTransitionTime: null
    message: 'cannot migrate VMI: PVC rhel9-uefi is not shared, live migration requires
      that all PVCs must be shared (using ReadWriteMany access mode)'
    reason: DisksNotLiveMigratable
    status: "False"
    type: LiveMigratable
  - lastProbeTime: null
    lastTransitionTime: "2024-05-27T09:53:43Z"
    message: 'server error. command SyncVMI failed: "LibvirtError(Code=67, Domain=20,
      Message=''unsupported configuration: Only one vgpu device can have ''ramfb''
      enabled'')"'
    reason: Synchronizing with the Domain failed.
    status: "False"
    type: Synchronized
  created: true
  desiredGeneration: 2
  observedGeneration: 2
  printableStatus: Starting
  startFailure:
    consecutiveFailCount: 5
    lastFailedVMIUID: 20feba3b-dac2-4d1a-b012-48de3dd337ed
    retryAfterTimestamp: "2024-05-27T09:53:40Z"
  volumeSnapshotStatuses:
  - enabled: false
    name: rootdisk
    reason: 'No VolumeSnapshotClass: Volume snapshots are not configured for this
      StorageClass [hostpath-csi-basic] [rootdisk]'
  - enabled: false
    name: cloudinitdisk
    reason: Snapshot is not supported for this volumeSource type [cloudinitdisk]
